<div class="container profile-view">
    
    <header class="profile-header">

        <div class="profile-picture">
            <img *ngIf="!uLoading" [src]="user.avatar">

            <!-- Loading -->
            <app-ghost-box *ngIf="uLoading" width="300" height="300"></app-ghost-box>
        </div>
        
        <div class="profile-heading">

            <ng-container *ngIf="!uLoading else profileLoading">
                <h1 class="username mt-auto">{{user.username}}</h1>
                <h6 class="profile-meta">Member since {{user.createdAt | date: 'mediumDate'}}</h6>

                <p class="brief">{{user.bio}}</p>

                <div class="profile-actions mt-auto" *ngIf="status">

                    <button *ngIf="!status.friends" class="btn">Solicitud de Amistad</button>
                    <button *ngIf="status.friends" class="btn">Eliminar Amistad</button>

                    <button *ngIf="!status.isFollowing" class="btn" (click)="followInteraction(true)">Seguir</button>
                    <button *ngIf="status.isFollowing" class="btn" (click)="followInteraction(false)">Dejar de Seguir</button>
                    
                </div>
            </ng-container>

            <!-- Loading -->
            <ng-template #profileLoading>
                <div>
                    <app-ghost-box width="300" height="30" mb="30"></app-ghost-box>
                    <app-ghost-box width="550" height="20" mb="10"></app-ghost-box>
                    <app-ghost-box width="600" height="20" mb="10"></app-ghost-box>
                    <app-ghost-box width="450" height="20" mb="10"></app-ghost-box>
                    <app-ghost-box width="250" height="20" mb="40"></app-ghost-box>
                    <app-ghost-box width="600" height="20"></app-ghost-box>
                </div>
            </ng-template>

        </div>
    </header>


    <section class="characters" *ngIf="user">
        <h3 class="section-title">Characters</h3>

        <ul class="grid-list">

            <li *ngFor="let char of user.characters"
            app-character-tag
            [character]="char"> 
            </li>

        </ul>
    </section>


    <div class="profile-feed" *ngIf="user">
        
        <aside class="profile-sidebar">

            <section class="character-worlds">
                <h3 class="section-title">Worlds</h3>
                <app-world-tag *ngFor="let w of user.worlds" [world]="w"></app-world-tag>
            </section>

            <section>
                <h3 class="section-title">Friends</h3>
                <ul class="flex-list wrap">

                    <li *ngFor="let friend of user.friends"
                    [user]="friend"
                    app-user-tag></li>

                </ul>
            </section>

            <section>
                <h3 class="section-title">Following</h3>
                <ul class="flex-list wrap">

                    <li *ngFor="let user of user.following"
                    [user]="user"
                    app-user-tag></li>

                </ul>
            </section>

            <section>
                <h3 class="section-title">Followers</h3>
                <ul class="flex-list wrap">

                    <li *ngFor="let user of user.followers"
                    [user]="user"
                    app-user-tag></li>

                </ul>
            </section>

        </aside>
        
        <section class="user-posts">
            <h3 class="section-title">Posts</h3>
            <ul class="user-post-list">
                <li *ngFor="let post of user.posts"
                app-post-preview
                [display-world]="true"
                [post]="post">
                    <p class="brief">{{ (post.contents.length > 450) ? (post.contents | slice:0:450) + '...' : (post.contents) }}<button class="text-btn blue" (click)="showPost(post)"> Leer Más</button></p>
                </li>
            </ul>
        </section>

    </div>

</div>



<app-modal
#postModal
[title]="currentPost.eventTitle + ' (extract)'"
[subtitle]="currentPost.worldTitle"
[postNavigation]="true"
[world]="currentPost.worldUrl"
[thread]="currentPost.threadUrl"
[scrollable]="true">

    {{currentPost.contents}}

</app-modal>

